Gönderen Konu: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu  (Okunma sayısı 13199 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı flycat

  • Çok Yeni Penguen
  • *
  • İleti: 3
teşekkür ederim, uyarınız için de :)

Çevrimdışı dev@mehmet

  • Çaylak Penguen
  • **
  • İleti: 187
    • mcelikyontar
  • Dağıtım: Linux Mint 17.1 Cinnamon 32 Bit
Bu sayfa "Nasıl Yapılır" sayfası. Konuda ise sorunların çözümünün yapıldığı iletiler var. O iletileri yeni bir konu açıp oraya taşırsanız daha güzel görüneceğini düşünüyorum.

Çevrimdışı muzminhasta

  • Çok Yeni Penguen
  • *
  • İleti: 7
  • Dağıtım: Mint 17.1 Mate
Bence başkalarının da kurulumda karşılaşılan sorunları görmesi açısından burda kalmalarında bir sakınca yok. Sonuçta nasıl yapıldığını bilmek isteyen biri burdaki işlemleri yaptıktan sonra da aynı sorunlarla karşılaşabilir ve forum içerisinde tarayıp durmaktansa aynı başlık altından süreci takip edebilir.

Çevrimdışı minteger

  • Penguen
  • ***
  • İleti: 272
  • Dağıtım: Linux Mint 17.3 KDE
  • Masaüstü: --illede KDE
  • Grafik Kartı: Nvidia
  • İşlemci: AMD
Ynt: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu
« Yanıtla #33 : 12 Şubat 2015, 15:36:46 »
LM 17.1 KDE yeni kurdum.

Temiz bir kurulum olsun istiyorum. Ancak hangi yolla kuracağıma karar veremedim.

Komut satırından tek sefer de mi ?

Komut satırından adım adım mı ?

Tasksel ile mi ?


Çevrimdışı bekircem

  • Yeni Penguen
  • *
  • İleti: 21
    • Oktavaryum
  • Dağıtım: Linux Mint 17 Cinnamon
Başka bir tutorial ile LAMP kurulumu yapmaya çalışmıştım ama olmamıştı. Sizin tutorialiniz ile yapınca çalıştı. Sormak istediğim bir soru var. "service apache2 restart" komutunu verince restart işlemi yapılıyor ama şöyle bir hata veriyor:


"AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1. Set the 'ServerName' directive globally to suppress this message
"
Qualified domain name terimine VPS yapılandırmasından aşinayım. Sanırım s1.server.com gibi bir düzeltme ile yapılıyordu. Localhost için bu bir sorun mudur? Düzeltmeye gerek var mıdır?

Teşekkürler.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 12366
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 18 & LMDE 2
  • Masaüstü: Cinnamon & Mate
Alıntı
AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1. Set the 'ServerName' directive globally to suppress this message

Buradaki öneri çözüm olabilir.

Kod: [Seç]
echo "ServerName localhost" | sudo tee /etc/apache2/conf-available/fqdn.conf
sudo ln -s /etc/apache2/conf-available/fqdn.conf /etc/apache2/conf-enabled/fqdn.conf

Cinnamon masaüstü için buradaki uygulamacık kolaylık sağlayabilir.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bekircem

  • Yeni Penguen
  • *
  • İleti: 21
    • Oktavaryum
  • Dağıtım: Linux Mint 17 Cinnamon
Buradaki öneri çözüm olabilir.

Kod: [Seç]
echo "ServerName localhost" | sudo tee /etc/apache2/conf-available/fqdn.conf
sudo ln -s /etc/apache2/conf-available/fqdn.conf /etc/apache2/conf-enabled/fqdn.conf

Cinnamon masaüstü için buradaki uygulamacık kolaylık sağlayabilir.


Teşekkürler. Masaüstü uygulamacığı çok işlevselmiş. Ancak kurarken şöyle bir hata çıkıyor. Nasıl düzeltebilirim?


« Son Düzenleme: 06 Nisan 2015, 16:50:49 Gönderen: bekircem »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 12366
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 18 & LMDE 2
  • Masaüstü: Cinnamon & Mate
Alıntı
    AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1. Set the 'ServerName' directive globally to suppress this message

Bu sorunla ilgili son durum nedir? Öneri ile çözüme ulaşabildiniz mi?



Web Developer Menu uygulamacığını buradaki web sayfasından indirebilirsiniz. İndirdiğiniz sıkıştırılmış dosyaya sağ tıklayın ve çıkartın. İçindeki web-developer-menu@infiniteshroom dizinini çift tıklayarak açın. Bunun içinde web-developer-menu@infiniteshroom isimli bir dizin daha göreceksiniz. Bu dizini aşağıdaki komut ile açılan dizin içine kopyalayıp yapıştırın.

Kod: [Seç]
nemo ~/.local/share/cinnamon/applets
Sonra Cinnamon Denetim Merkezindeki "Uygulamacıklar" bölümünden panele ekleyebilirsiniz.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bekircem

  • Yeni Penguen
  • *
  • İleti: 21
    • Oktavaryum
  • Dağıtım: Linux Mint 17 Cinnamon
Bu sorunla ilgili son durum nedir? Öneri ile çözüme ulaşabildiniz mi?



Web Developer Menu uygulamacığını buradaki web sayfasından indirebilirsiniz. İndirdiğiniz sıkıştırılmış dosyaya sağ tıklayın ve çıkartın. İçindeki web-developer-menu@infiniteshroom dizinini çift tıklayarak açın. Bunun içinde web-developer-menu@infiniteshroom isimli bir dizin daha göreceksiniz. Bu dizini aşağıdaki komut ile açılan dizin içine kopyalayıp yapıştırın.

Kod: [Seç]
nemo ~/.local/share/cinnamon/applets
Sonra Cinnamon Denetim Merkezindeki "Uygulamacıklar" bölümünden panele ekleyebilirsiniz.


Söylediklerinizi yaptım ve service apache2 restart sorunu çözüldü. Şimdi uygulamacığı da kurdum. Teşekkürler.

Çevrimdışı Abizer

  • Yeni Penguen
  • *
  • İleti: 33
Ynt: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu
« Yanıtla #39 : 28 Haziran 2016, 01:31:48 »
php5 desteği şuan yok php 7 için güncelleme yapabilirmiyiz

Çevrimdışı Genizcil_N

  • Forum Yöneticisi
  • *****
  • İleti: 1901
  • Dağıtım: Linux Mint 17.3 - 18.1
  • Masaüstü: Cinnamon - Mate
Ynt: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu
« Yanıtla #40 : 28 Haziran 2016, 04:01:07 »
php5 desteği şuan yok php 7 için güncelleme yapabilirmiyiz

Aşağıdaki komutlarla php7 kurulabiliyormuş/güncellenebiliyormuş.
Kod: [Seç]
sudo add-apt-repository ppa:ondrej/php
sudo apt-get update
sudo apt-get install php7.0 php7.0-mysql
Kaynak: https://www.digitalocean.com/community/tutorials/how-to-upgrade-to-php-7-on-ubuntu-14-04

Çevrimdışı minteger

  • Penguen
  • ***
  • İleti: 272
  • Dağıtım: Linux Mint 17.3 KDE
  • Masaüstü: --illede KDE
  • Grafik Kartı: Nvidia
  • İşlemci: AMD
Ynt: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu
« Yanıtla #41 : 03 Temmuz 2016, 17:17:14 »
php5 desteği şuan yok php 7 için güncelleme yapabilirmiyiz

php5 desteği yok derken ?

Mesajlar Birleştirildi.

Aşağıdaki komutlarla php7 kurulabiliyormuş/güncellenebiliyormuş.
Kod: [Seç]
sudo add-apt-repository ppa:ondrej/php
sudo apt-get update
sudo apt-get install php7.0 php7.0-mysql
Kaynak: https://www.digitalocean.com/community/tutorials/how-to-upgrade-to-php-7-on-ubuntu-14-04

Temiz bir PHP apache ve MySQL kurulumu için bu komutlardan fazlası gerekli. Tabi daha önceden Mysql ve apache kurulu olabilir. Ancak hepsini uyum içinde kurmakta fayda var diye düşünüyorum.
« Son Düzenleme: 03 Temmuz 2016, 17:19:06 Gönderen: minteger »

Çevrimdışı Abizer

  • Yeni Penguen
  • *
  • İleti: 33
Ynt: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu
« Yanıtla #42 : 09 Temmuz 2016, 00:14:23 »
php5 şuan depoda yok kurulumda hata veriyor şuan sağlıklı şekilde kurup çalıştıracağımız bir anlatım varmıdır. php7 istemiyorum.

Çevrimdışı Genizcil_N

  • Forum Yöneticisi
  • *****
  • İleti: 1901
  • Dağıtım: Linux Mint 17.3 - 18.1
  • Masaüstü: Cinnamon - Mate
Ynt: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu
« Yanıtla #43 : 09 Temmuz 2016, 01:22:31 »
php5 şuan depoda yok kurulumda hata veriyor şuan sağlıklı şekilde kurup çalıştıracağımız bir anlatım varmıdır. php7 istemiyorum.
Şöyle bir anlatım var. İlk komut için 3.yorumda da bir düzeltme yapmışlar. http://askubuntu.com/a/756186
Sağlıklı çalışıp çalışmadığı denenebilir.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 12366
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 18 & LMDE 2
  • Masaüstü: Cinnamon & Mate
Ynt: Linux Mint 17.x LAMP (Linux + Apache + Mysql + Php) Server Kurulumu
« Yanıtla #44 : 09 Temmuz 2016, 13:14:38 »
Linux Mint 18'e LAMP kurulumu ile ilgili bağlantıdaki konumuzu inceleyebilirsiniz.

[Nasıl] Linux Mint 18.x LAMP (Linux + Apache + MariaDB + Php) Server Kurulumu
Elimizden geldiğince dilimizin döndüğünce...